Bug 1046780 - [Tracker] [Neutron] [LBaaS]: Make HAProxy loadbalancer instances highly available
Summary: [Tracker] [Neutron] [LBaaS]: Make HAProxy loadbalancer instances highly avail...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On: 1325861 1326224 1415828 1415829 1431152
Blocks: 1066642 1273812
TreeView+ depends on / blocked
 
Reported: 2013-12-26 23:08 UTC by RHOS Integration
Modified: 2020-09-10 09:17 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-01 01:13:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2013-12-26 23:08:41 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/lbaas-ha-haproxy.

Description:

Currently LBaaS haproxy driver launches a single haproxy process on one host for each loadbalancer instance. This blueprint proposes to back it up with a second haproxy process (possibly on the other host) in VRRP mode using keepalived under Linux.
The specification will be attached soon.

Specification URL (additional information):

None

Comment 5 Assaf Muller 2015-08-23 22:18:10 UTC
Upstream directive is to put engineering resources in Octavia, which will have HA out of the gate. Adding HA to the haproxy implementations of lbaas v1/2 won't happen.

Comment 8 Nir Yechiel 2016-04-12 09:38:28 UTC
While our strategy is to move to Octavia in compliant with upstream, our current assessment shows that it will take more time to get it mature and ready for production use. 

As a mid-term solution we are aiming to provide a better HA solution for LBaaS v2 using the HAProxy driver. This work is planned for Newton/RHOSP10 based on these two bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=1326224
https://bugzilla.redhat.com/show_bug.cgi?id=1325861


Thanks,
Nir

Comment 9 Assaf Muller 2016-06-01 01:13:21 UTC
I don't think it makes sense to add a keepalived based solution for LBaaS haproxy HA. We decided to go with a light weight HA solution for haproxy with https://bugzilla.redhat.com/show_bug.cgi?id=1325861 in the short term, and Octavia in the long term.


Note You need to log in before you can comment on or make changes to this bug.